tapestry-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robert Zeigler (JIRA)" <j...@apache.org>
Subject [jira] Commented: (TAP5-713) Change template parser to not use STAX, as it is not (yet) compatible with Google App Engine
Date Fri, 10 Jul 2009 05:52:14 GMT

    [ https://issues.apache.org/jira/browse/TAP5-713?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12729533#action_12729533
] 

Robert Zeigler commented on TAP5-713:
-------------------------------------

Sadly, using a "provided" dependency is practically impossible since there's no reliable,
implementation-independent manner to get at the DTD, as you well know.

> Change template parser to not use STAX, as it is not (yet) compatible with Google App
Engine
> --------------------------------------------------------------------------------------------
>
>                 Key: TAP5-713
>                 URL: https://issues.apache.org/jira/browse/TAP5-713
>             Project: Tapestry 5
>          Issue Type: Improvement
>          Components: tapestry-core
>    Affects Versions: 5.1.0.5
>            Reporter: Howard M. Lewis Ship
>
> The StAX APIs are not on the GAE "white list".
> Should be reasonable ot change the code, by using a SAX parser that parses the template
into a list of tokens, and then iterate down the token list as we do today using StAX.  End
result will be fewer dependencies to boot.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message